alsa-plugins (1.1.0-1ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Drop libavcodec-dev, libavresample-dev and libavutil-dev build-deps.

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 27 Apr 2016 16:48:42 +0200

alsa-plugins (1.1.0-1) unstable; urgency=medium

  [ Luke Yelavich ]
  * New upstream release
  * Update changelog.ALSA

  [ Elimar Riesebieter ]
  * FTBFS with ffmpeg 2.9. Applied ffmpeg_2.9.patch provided by
    Andreas Cadhalpun (closes: 803796).

  [ Jordi Mallach ]
  * Use https for Vcs-Browser.

 -- Jordi Mallach <jordi@debian.org>  Tue, 02 Feb 2016 00:04:04 +0100

alsa-plugins (1.1.0-0ubuntu1) xenial; urgency=medium

  * New upstream release
  * Update changelog.ALSA

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 04 Jan 2016 13:55:42 +1100

alsa-plugins (1.0.29-1ubuntu1) wily; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Drop libavcodec-dev, libavresample-dev and libavutil-dev build-deps.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 12 Aug 2015 14:16:48 -0700

alsa-plugins (1.0.29-1) unstable; urgency=medium

  [ Luke Yelavich ]
  * New upstream release (closes: #793074)
  * Update changelog.ALSA

  [ Jordi Mallach ]
  * Bump Standards-Version to 3.9.6.
  * Add Luke Yelavich to Uploaders.

 -- Jordi Mallach <jordi@debian.org>  Wed, 22 Jul 2015 09:39:15 +0200

alsa-plugins (1.0.29-0ubuntu2) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 06:30:53 +0000

alsa-plugins (1.0.29-0ubuntu1) wily; urgency=medium

  * New upstream release
  * Update changelog.ALSA

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 01 Jun 2015 20:16:19 +1000

alsa-plugins (1.0.28-1ubuntu2) vivid; urgency=medium

  * No change rebuild to get debug symbols on all architectures.

 -- Brian Murray <brian@ubuntu.com>  Tue, 25 Nov 2014 14:31:28 -0800

alsa-plugins (1.0.28-1ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Drop libavcodec-dev, libavresample-dev and libavutil-dev build-deps.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 05 Aug 2014 13:55:23 +1000

alsa-plugins (1.0.28-1) unstable; urgency=medium

  [ Elimar Riesebieter ]
  * Ack 1.0.27-2.1 NMU. Thanks Reinhard Tartler. (closes: #739209)
  * Bumped Standards-Version to 3.9.5. No changes needed.

  [ Luke Yelavich ]
  * New upstream release
  * Dropped patches, applied upstream:
    - use_libavutil.patch
    - build-latest-avcodec.patch
  * Refreshed patches:
    - libav10.patch

 -- Jordi Mallach <jordi@debian.org>  Fri, 18 Jul 2014 20:43:13 +0200

alsa-plugins (1.0.27-2.1ubuntu1) utopic; urgency=medium

  * Merge from debian unstable, remaining changes:
  * Drop libavcodec-dev, libavresample-dev and libavutil-dev build-deps.


 -- Reinhard Tartler <siretart@tauware.de>  Fri, 30 May 2014 22:04:49 -0400

alsa-plugins (1.0.27-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add libav10.patch to allow compilation against Libav10 (Closes: #739209)

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 12 May 2014 07:33:19 -0400

alsa-plugins (1.0.27-2ubuntu2) trusty; urgency=low

  * Drop libasound2-plugins-extra package (LP: #1243235)
  * Drop libavcodec-dev and libavutil-dev build-deps.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Wed, 30 Oct 2013 18:10:59 +0000

alsa-plugins (1.0.27-2ubuntu1) saucy; urgency=low

  * Merge from debian unstable, remaining changes:
    - Create libasound2-plugins-extra package which contains plugins that use
      libav.

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 26 Jul 2013 10:57:49 +1000

alsa-plugins (1.0.27-2) unstable; urgency=low

  * Upload to unstable.

 -- Jordi Mallach <jordi@debian.org>  Thu, 09 May 2013 12:40:49 +0200

alsa-plugins (1.0.27-1) experimental; urgency=low

  * New upstream release.
  * Drop fix-ftbfs-libav9.patch, similar patch applied upstream.
  * Refresh use_libavutil.patch.
  * Explicitly pass --disable-static.

 -- Jordi Mallach <jordi@debian.org>  Fri, 26 Apr 2013 23:24:50 +0200

alsa-plugins (1.0.26-1) experimental; urgency=low

  [ Elimar Riesebieter ]
  * Added fix-ftbfs-libav9.patch to updated the a52 plugin to use a newer API
    of libav. It should work with both libav 0.8 in wheezy and 9 in
    experimental. Thanks Reinhard Tartler for the patch. (closes: #692581)
  * Fix build with glibc 2.16. _GNU_SOURCE needs to be defined at first. Patch
    stolen from upstream. Thanks David Henningsson for the hint.
    (closes: #701448)
  * Bumped Standards-Version to 3.9.4. No changes needed.

  [ Jordi Mallach ]
  * New upstream release.
  * Drop pcm-usb-stream.patch, applied upstream.

 -- Jordi Mallach <jordi@debian.org>  Mon, 01 Apr 2013 22:21:31 -0500

alsa-plugins (1.0.25-2ubuntu3) raring-proposed; urgency=low

  * add new patch fix-ftbfs-libav9.patch:
     - Fix FTBFS with Libav9 Update to newer libav API - compatible to
       libav 0.8 and libav 9 (LP: #1076011)

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 07 Nov 2012 07:18:48 +0100

alsa-plugins (1.0.25-2ubuntu2) raring-proposed; urgency=low

  * debian/control: Update Vcs-Bzr field for raring
  * debian/patches/usb_stream-Fix-build-with-glibc-2.16.patch: Fix FTBFS,
    thanks to Reinhard Tartler (LP: #1075718)

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 07 Nov 2012 10:46:10 +1100

alsa-plugins (1.0.25-2ubuntu1) quantal; urgency=low

  * Merge from debian unstable, remaining changes:
    - Create libasound2-plugins-extra package which contains plugins that use
      libav.

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 22 Jun 2012 14:24:21 +1000

alsa-plugins (1.0.25-2) unstable; urgency=low

  * Do not overwrite LDFLAGS, use DEB_LDFLAGS_MAINT_APPEND instead.
    Thanks to Simon Ruderich for the report and fix (closes: #662256).
  * Replace hardcoded configure call with dh_auto_configure, and remove
    default flags handled by debhelper.
  * Add missing ${misc:Pre-Depends} for multiarch-support (closes: #667473).
  * Bump Standards-Version to 3.9.3, with no changes needed.
  * This rebuild should fix M-A installability problems caused by a
    single-arch binnmu (closes: #659665).
  * Drop d/source/options, use the standard compression.

 -- Jordi Mallach <jordi@debian.org>  Sun, 20 May 2012 21:44:23 +0200

alsa-plugins (1.0.25-1ubuntu3) quantal; urgency=low

  * Move all lavcrate plugins to the extra package that were missed in the
    previous upload. This will ensure that libasound2-plugins will not depend
    on anything to do with libav.
  * Add Pre-Depends bits for multi-arch. (LP: #1015982)

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 22 Jun 2012 10:39:19 +1000

alsa-plugins (1.0.25-1ubuntu2) quantal; urgency=low

  [ Mike Mestnik ]
  * Add build depend on libavcodec-dev and libavutil-dev
  * Split the a52 plugin out to it's own package. (LP: #197957)

  [ Luke Yelavich ]
  * debian/control: Adjust Vcs-Bzr field for quantal.
  * Ship the lavcrate plugin in the libasound2-plugins-extra package.

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 20 Jun 2012 16:57:22 +1000

alsa-plugins (1.0.25-1ubuntu1) precise; urgency=low

  * Merge from debian unstable, remaining changes:
    - Do not build-depend on libavcodec-dev and libavutil-dev
    - Add Vcs-Bzr field

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 16 Feb 2012 13:48:11 +1100

alsa-plugins (1.0.25-1) unstable; urgency=low

  * New upstream release.
    - fixes hangs in jackd (closes: #564828).
  * Update debian/changelog.ALSA.
  * Bump Build-Depends to libasound2-dev (>= 1.0.25), as new symbols are
    required.
  * Drop fix_a52_codec.patch, applied upstream.
  * Decruft debian/rules by using .install files and removing obsolete
    stuff.
  * Don't pass --enable-static to configure.
  * Use watch file version 3, and don't uupdate.
  * Run source package through wrap-and-sort.
  * Merge from Ubuntu:
    - arcam-av_uses_pthreads.patch: link arcam-av module against libpthread.
    - Build with LDFLAGS=-Wl,-z,defs to prevent accidentally building
      modules with undefined symbols.
    (thanks Steve Langasek).
  * Build-Depend on dh-autoreconf and adjust rules to use it.
  * Add use_avutil.patch: New patch to avoid unresolved symbols (av_free)
    when building the a52 plugin.
  * Build-Depend on libavutil-dev.
  * Remove all bi-arch traces from alsa-plugins. With Steve's changes
    above, the pulse plugin does not build anymore for the bi-build, and
    with Multiarch about to be ready to make it obsolete, I'm not keen to
    spend a minute looking at it (closes: #614243).
  * As a bonus, this package can now be dh-ified, so it is.
  * Bump debhelper to version 9.
  * Install alsa.conf.d files.
  * Point at versioned LGPL-2.1 file and update homepage.

 -- Jordi Mallach <jordi@debian.org>  Sun, 12 Feb 2012 01:53:08 +0100

alsa-plugins (1.0.25-0ubuntu1) UNRELEASED; urgency=low

  * New upstream release
  * Dropped patches:
    - fix_a52_codec.patch
    - 0001-Pulse-Fix-snd_pcm_avail-returning-0-in-some-cases.patch
    - 0004-jack-Fix-hanging-applications-when-using-jack-plugin.patch
    - 0005-pulse-only-underrun-if-no-more-data-has-been-written.patch
  * arcam-av_uses_pthreads.patch: Refreshed

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 09 Feb 2012 20:53:46 +1100

alsa-plugins (1.0.24-3ubuntu1) precise; urgency=low

  * Merge from debian unstable, remaining changes:
    - Do not build-depend on libavcodec-dev
    - drop lib32asound2-plugins
    - tighten dependencies on lib*asound2-dev and libpulse-dev
    - Add Vcs-Bzr field
    - Do not build bi-arch packages on ppc64
    - Build with LDFLAGS=-Wl,-z,defs to prevent accidentally building modules
      with undefined symbols.
    - link arcam-av module against libpthread.
    - Use new pulseaudio API

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 18 Oct 2011 19:47:15 +1100

alsa-plugins (1.0.24-3) unstable; urgency=medium

  [ Elimar Riesebieter ]
  * Add debian/patches/fix_a52_codec.patch from git.alsa-project.org. Fix a52
    codec with recent libavcodec updates (closes: #643936). Thanks Luis Listas
    for the hint.
  * Bump Build-Depends of lib32asound2-dev and lib64asound2-dev to 1.0.24.1.

  [ Jordi Mallach ]
  * Update Vcs-* fields to non-redirected URLs.
  * pulseaudio, jack and dbus have gone multiarch, changing the path for
    their pkgconfig file. Bump Build-Depends to the versions when M-A was
    introduced and add $(DEB_HOST_MULTIARCH) to the biarch pkgconfig hack,
    to fix a FTBFS.
  * Add a dummy build-indep target.

 -- Jordi Mallach <jordi@debian.org>  Sat, 15 Oct 2011 00:51:43 +0200

alsa-plugins (1.0.24-2) unstable; urgency=low

  * Remove Build-Depends on amd64-libs: it's useless (closes: 634064).

 -- Jordi Mallach <jordi@debian.org>  Fri, 22 Jul 2011 15:46:55 +0200

alsa-plugins (1.0.24-1) unstable; urgency=low

  * New upstream release.
  * Switch to architecture wildcard 'linux-any'.
  * Remove duplicate Section field.
  * Bump to debhelper compat v8. Bump Build-Dep accordingly.
  * Add multiarch support:
    - Declare DEB_HOST_MULTIARCH and use it to define $libdir.
    - Add an explicit --with-plugindir argument to base plugindir on the
      multiarch dir.
    - Mark libasound2-plugins Multi-Arch: same.
  * Remove references to the a52 plugin from biarch packages (closes: #611440).
  * Pulse module is now usable in the biarch packages
    (closes: #543448, #551198).
  * Remove obsolete README.source.
  * Don't run with DH_VERBOSE.
  * Bump Standards-Version to 3.9.2.

 -- Jordi Mallach <jordi@debian.org>  Sat, 16 Jul 2011 15:25:35 +0200

alsa-plugins (1.0.24-0ubuntu6) oneiric; urgency=low

  * Use the new PulseAudio API for better underrun handling (LP: #805940)

 -- David Henningsson <david.henningsson@canonical.com>  Wed, 24 Aug 2011 10:16:12 +0200

alsa-plugins (1.0.24-0ubuntu5) oneiric; urgency=low

  * Build with LDFLAGS=-Wl,-z,defs to prevent accidentally building modules
    with undefined symbols.
  * debian/patches/arcam-av_uses_pthreads.patch: link arcam-av module
    against libpthread.
  * drop upstream cherry picks 5f5cde5 and 440e791: these rely on a new
    symbol, snd_pcm_open_fallback, which is not available in the currently
    available upstream release of alsa-lib, so cherry-picking these patches
    simply made the pulseaudio module stop working altogether.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Aug 2011 23:36:12 -0700

alsa-plugins (1.0.24-0ubuntu4) oneiric; urgency=low

  * Cherry-pick some fixes from git master:
    - 21f6686 (jack: Fix hanging applications when using jack plugin)
    - 440e791 (pulse: Set PA_CONTEXT_NOAUTOSPAWN when fallback is available)
    - 5f5cde5 (pulse: Add fallback option)
    - e1661e3 (Pulse: Fix snd_pcm_avail returning 0 in some cases)

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 11 Aug 2011 08:42:02 +1000

alsa-plugins (1.0.24-0ubuntu3) oneiric; urgency=low

  * Merge changes from Debian svn:
    - Switch to architecture wildcard 'linux-any'.
    - Bump to debhelper compat v8. Bump Build-Dep accordingly.
    - Add multiarch support:
      + Declare DEB_HOST_MULTIARCH and use it to define $libdir.
      + Add an explicit --with-plugindir argument to base plugindir on the
        multiarch dir.
      + Mark libasound2-plugins Multi-Arch: same.
    - Bump Standards-Version to 3.9.2.
    - Remove duplicate Section field.
    - Remove obsolete README.source.
    - Don't run with DH_VERBOSE.
  * Fix the pkgconfig .pc copying to cope with multiarch

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 21 Jul 2011 12:08:42 +0200

alsa-plugins (1.0.24-0ubuntu2) natty; urgency=low

  * Do not build biarch packages on ppc64.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 16 Mar 2011 01:41:14 +0100

alsa-plugins (1.0.24-0ubuntu1) natty; urgency=low

  [ David Henningsson ]
  * New upstream release. Both existing patches dropped,
    applied upstream.

  [ Luke Yelavich ]
  * debian/control: Update Vcs-bzr field to point to new branch location
  * debian/changelog.ALSA: Updated

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 21 Feb 2011 18:11:25 +1100

alsa-plugins (1.0.23-2) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Added armhf to the supported archs. (closes: 604649)
  * Bumped Standards-Version to 3.9.1. No changes

 -- Jordi Mallach <jordi@debian.org>  Mon, 18 Apr 2011 19:58:21 +0200

alsa-plugins (1.0.23-1ubuntu3) natty; urgency=low

  * Disable biarch build on ppc64.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 20 Feb 2011 17:40:52 +0100

alsa-plugins (1.0.23-1ubuntu2) maverick; urgency=low

  * No-change rebuild to pick up new j-a-c-k shlibs

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 21 Jul 2010 11:36:48 +0200

alsa-plugins (1.0.23-1ubuntu1) maverick; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/control:
      + Do not build-depend on libavcodec-dev
      + drop lib32asound2-plugins
      + tighten dependencies on lib*asound2-dev and libpulse-dev
      + Vcs mangling

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 20 Jul 2010 11:16:54 +0200

alsa-plugins (1.0.23-1) unstable; urgency=low

  [ Elimar Riesebieter ]
  * New upstream release.
    "PortAudio gives error "Invalid rate plugin version 10002"" fixed.
    (closes: #547138)

  [ Jordi Mallach ]
  * Add powerpcspe to the list of supported architectures, and remove
    lpia, which is no longer being used by Ubuntu.

 -- Jordi Mallach <jordi@debian.org>  Wed, 02 Jun 2010 21:04:52 +0200

alsa-plugins (1.0.23-0ubuntu1) maverick; urgency=low

  * New upstream release
    - debian/patches/:
      + e3b3c40-check-null-before-dereference.patch
        - dropped
      + lp464008lp503174.patch
      + lp485488.patch
        - retained, need to be submitted upstream
  * Merge from debian unstable, remaining changes:
    - debian/control:
      + Do not build-depend on libavcodec-dev
      + drop lib32asound2-plugins
      + tighten dependencies on lib*asound2-dev and libpulse-dev
      + Vcs mangling

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 19 May 2010 11:52:28 +1000

alsa-plugins (1.0.22-1) unstable; urgency=low

  [ Elimar Riesebieter ]
  * New upstream version
  * Switched to source version 3.0.
  * Pulse plugins are built. (closes: #528025)

  [ Jordi Mallach ]
  * Remove duplicate section fields in control.
  * Add sparc64 to the list of supported architectures, trying to mimic what
    powerpc and ppc64 are doing. Aurelien, you might want to check this.
  * Bump Standards-Version to 3.8.4. No changes required.

 -- Jordi Mallach <jordi@debian.org>  Fri, 12 Feb 2010 02:37:43 +0100

alsa-plugins (1.0.22-0ubuntu6) lucid; urgency=low

  [ Daniel T Chen ]
  * Add e3b3c40-check-null-before-dereference.patch

  [ David Henningsson ]
  * Add lp464008lp503174.patch (LP: #464008, #503174)

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 28 Feb 2010 17:03:48 -0500

alsa-plugins (1.0.22-0ubuntu5) lucid; urgency=low

  * debian/control: Rebuild against fixed libpulse-dev

 -- Daniel T Chen <crimsun@ubuntu.com>  Thu, 18 Feb 2010 07:44:32 -0500

alsa-plugins (1.0.22-0ubuntu4) lucid; urgency=low

  * debian/control: Reenable JACK plugin

 -- Daniel T Chen <crimsun@ubuntu.com>  Thu, 18 Feb 2010 02:02:42 -0500

alsa-plugins (1.0.22-0ubuntu3) lucid; urgency=low

  * lp485488.patch: Update patch to fix capture. Thanks, David
    Henningsson!

 -- Daniel T Chen <crimsun@ubuntu.com>  Sat, 09 Jan 2010 08:39:51 -0500

alsa-plugins (1.0.22-0ubuntu2) lucid; urgency=low

  * lp485488.patch: Update ptr calculation to be consistent with changes
    made to pcm core+lib since linux 2.6.27. Thanks, David Henningsson!
    (LP: #485488)

 -- Daniel T Chen <crimsun@ubuntu.com>  Fri, 08 Jan 2010 22:25:51 -0500

alsa-plugins (1.0.22-0ubuntu1) lucid; urgency=low

  * New upstream release
  * debian/control: Tighten build-dependencies on lib*asound2-dev
    to >= 1.0.22.

 -- Daniel T Chen <crimsun@ubuntu.com>  Thu, 24 Dec 2009 04:12:44 -0500

alsa-plugins (1.0.21-4ubuntu1) lucid; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/control:
      + Do not build-depend on libjack-dev and libavcodec-dev
      + drop lib32asound2-plugins

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 06 Nov 2009 14:57:00 +1100

alsa-plugins (1.0.21-4) unstable; urgency=low

  * Remove duplicate section fields in control.

 -- Jordi Mallach <jordi@debian.org>  Thu, 29 Oct 2009 18:23:55 +0100

alsa-plugins (1.0.21-3) unstable; urgency=medium

  * Correct lib32-libs build-dep to ia32-libs.

 -- Jordi Mallach <jordi@debian.org>  Wed, 21 Oct 2009 13:12:19 +0200

alsa-plugins (1.0.21-2) unstable; urgency=medium

  [ Elimar Riesebieter ]
  * Added libspeexdsp-dev to Build-Depends. libasound_module_pcm_speex.so is
    built now. (closes: #550719)
  * Readded ia32-libs and amd64-libs. Jack and pulse plugins in
    lib(32|64)asound2-plugins are build again. (closes: #551198)
  * Improved debian/rules clean target. Multiple builds are possible now.

 -- Jordi Mallach <jordi@debian.org>  Wed, 21 Oct 2009 00:17:47 +0200

alsa-plugins (1.0.21-1) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Added avr32 to libasound2-plugins archs. Thanks Bradley Smith
    (closes: #531926)
  * Bumped Standards-Version to 3.8.3. No changes.
  * Update Build-Depends to libasound2-dev versions >= 1.0.21.
  * Build-Depends: Removed {ia32,amd64}-libs.

 -- Jordi Mallach <jordi@debian.org>  Thu, 17 Sep 2009 19:18:52 +0200

alsa-plugins (1.0.20-1ubuntu8) karmic; urgency=low

  * Drop lib32asound2-plugins, its not really that useful since it does not
    contain a 32-bit version of the pulseaudio plugin.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 29 Sep 2009 11:03:03 +1000

alsa-plugins (1.0.20-1ubuntu7) karmic; urgency=low

  * debian/control: Revert back to conflicting against ia32-libs, since
    ia32-libs now contains libasound2-plugins again.

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 14 Sep 2009 20:50:17 +1000

alsa-plugins (1.0.20-1ubuntu6) karmic; urgency=low

  * Make sure all patches are in the series file
  * debian/patches/0001_validate_optimise_lookup.patch: Remove pulse changes
    in this patch, as they are applied in a later patch
  * Also drop the oss fragment of the patch, so this patch is no longer needed

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 05 Aug 2009 10:51:50 +0100

alsa-plugins (1.0.20-1ubuntu5) karmic; urgency=low

  * Apply latest updates from git master to the pulse plugins, consolidating
    all pulse patches since 1.0.20 into a single patch file

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 05 Aug 2009 10:30:10 +0100

alsa-plugins (1.0.20-1ubuntu4) karmic; urgency=low

  * debian/control: Readd Vcs-Bzr information since we carry a
    delta
  * debian/patches:
    Add from upstream
    + 02-alsa-plugins-oss-Fix-missing-frags-init.patch
    Add from Lennart's tree
    + 03-alsa-plugins-pulse-Fix-asserts-Use-safer-checks-Call-in-loop.patch

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 03 Aug 2009 22:18:03 -0400

alsa-plugins (1.0.20-1ubuntu3) karmic; urgency=low

  * Replace ia32-libs rather than conflicting with it (LP: #305860).

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 18 Jul 2009 10:13:06 +0100

alsa-plugins (1.0.20-1ubuntu2) karmic; urgency=low

  * 01-alsa-plugins-pulse-Implement-pause.patch: Add pause support to the
    pulseaudio plugin, taken from git master.

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 17 Jul 2009 12:59:36 +1000

alsa-plugins (1.0.20-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/control:
      + Do not build-depend on libjack-dev and libavcodec-dev
      + lib32asound-plugins conflicts against ia32-libs

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 09 Jun 2009 11:00:28 +1000

alsa-plugins (1.0.20-1) unstable; urgency=low

  * New upstream release.

  [ Elimar Riesebieter ]
  * Bumped Standard-Version to 3.8.1, no changes needed.

  [ Jordi Mallach ]
  * Improve sed usage where possible.
  * Remove *.la and *.a files, as nothing should be building against
    plugins. Thanks Marc-Andre Lureau (closes: #506432).

 -- Jordi Mallach <jordi@debian.org>  Wed, 03 Jun 2009 22:58:52 +0200

alsa-plugins (1.0.19-3) unstable; urgency=low

  * Build-Depend again on libavcodec-dev to bring back the a52 and
    lavcrate plugins, now that the ffmpeg transition is over.

 -- Jordi Mallach <jordi@debian.org>  Mon, 30 Mar 2009 20:01:16 +0200

alsa-plugins (1.0.19-2ubuntu2) karmic; urgency=low

  * re-introduce 0001_validate_optimise_lookup.patch to go with the numid
    changes in alsa-lib
  * tighten libasound2-dev build dependency

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 05 May 2009 15:33:20 +1000

alsa-plugins (1.0.19-2ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/control:
      + Do not build-depend on libjack-dev and libavcodec-dev
      + lib32asound-plugins conflicts against ia32-libs

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 04 May 2009 17:01:25 +1000

alsa-plugins (1.0.19-2) unstable; urgency=low

  [ Jordi Mallach ]
  * Fix non-UTF-8 content in the previous changelog entry, which made
    the previous upload being rejected by the archive software.

  [ Elimar Riesebieter ]
  * Added a new version of the pulseaudio example provided by Carsten
    Lüdtke which will work better with systems with more than one card.

 -- Jordi Mallach <jordi@debian.org>  Mon, 23 Mar 2009 13:12:33 +0100

alsa-plugins (1.0.19-1) unstable; urgency=low

  * New upstream release. (closes: #519001)
  * Upload to unstable.

  [ Elimar Riesebieter ]
  * Indent the description list in control
  * Added '--with-avcodec-includedir=\$${prefix}/include/libavcodec'
    (closes: #518194)
  * Added a52 setup for pulseaudio in examples. Thanks Carsten Lüdtke.
    (closes: #518384)

  [ Jordi Mallach ]
  * Temporarily remove Build-Depends on libavcodec-dev by request of
    the Release Team in order to not interfere with the ffmpeg transition.

 -- Jordi Mallach <jordi@debian.org>  Thu, 12 Mar 2009 20:31:39 +0100

alsa-plugins (1.0.18-2) experimental; urgency=low

  [ Elimar Riesebieter ]
  * Fixed FTBS on sparc: The Build-Dependency on
    amd64-libs should probably be "amd64-libs [i386]", not
    "amd64-libs [i386 powerpc sparc s390]". Thanks Frank Lichtenheld.
    (closes: #505170)

 -- Jordi Mallach <jordi@debian.org>  Sun, 18 Jan 2009 14:43:43 +0100

alsa-plugins (1.0.18-1ubuntu4) jaunty; urgency=low

  [ Daniel T Chen ]
  * Backport from git HEAD:
    - 0001_validate_optimise_lookup.patch

  [ Luke Yelavich ]
  * debian/control: bump libasound2-dev build dependency to 1.0.18-1ubuntu7

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 20 Feb 2009 15:14:08 +1100

alsa-plugins (1.0.18-1ubuntu3) jaunty; urgency=low

  * debian/control: lib32asound2-plugins should conflict against ia32-libs.
    (LP: #305860)

 -- Luke Yelavich <themuso@ubuntu.com>  Sun, 07 Dec 2008 10:26:02 -0800

alsa-plugins (1.0.18-1ubuntu2) jaunty; urgency=critical

  * Dropped build-dep on ia32-libs/amd64-libs to clear
    dep-wait FTBFS (LP: #295278)

 -- Michael Casadevall <sonicmctails@gmail.com>  Sat, 08 Nov 2008 04:10:20 -0500

alsa-plugins (1.0.18-1ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/control:
      - Do not build-depend on libjack-dev and libavcodec-dev.

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 06 Nov 2008 14:43:55 +1100

alsa-plugins (1.0.18-1) experimental; urgency=low

  * New upstream release.

  [ Elimar Riesebieter ]
  * Bumped libasound2-dev version to >= 1.0.18 in Build-Depends.
  * Removed pulse_fixes.patch. Applied differently upstream.

  [ Jordi Mallach ]
  * Add lpia to the list of supported architectures.
  * Extend package descriptions to mention the most prominent plugins
    (closes: #497636).
  * Require debhelper 7.

  [ Christopher James Halse Rogers ]
  * debian/control, debian/rules: import the multi-arch magic from
    alsa-lib to build a lib32asound2-plugins package wherever
    lib32asound2 is built, and similarly for lib64asound2 (closes: #436201).

 -- Jordi Mallach <jordi@debian.org>  Thu, 06 Nov 2008 00:46:19 +0100

alsa-plugins (1.0.17-1) experimental; urgency=low

  * New upstream release.

  [ Elimar Riesebieter ]
  * Reworked pulse_fixes.patch
  * Switched to debhelper 7.
  * Bumped Standard-Version to 3.8.0; no changes needed.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sat, 30 Aug 2008 16:23:08 +0200

alsa-plugins (1.0.17-0ubuntu4) intrepid; urgency=low

  * Revert commit b05f0176d1427586e411a91cda02a8877c5c8c0d from alsa-plugins
    git. This commit enabled the pulseaudio alsa plugin to use 32-bit sample
    lengths via PulseAudio, however PulseAudio 0.9.10 in Intrepid doesn't
    support these sample lenths in its API. This resulted in gstreamer
    applications failing to play audio with an error, when attempting to use
    pulseaudio output via the alsa pulseaudio plugin. It was also breaking
    SDL applications/games that were using SDL's ALSA output. (LP: #274124)

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 30 Sep 2008 13:44:03 +1000

alsa-plugins (1.0.17-0ubuntu3) intrepid; urgency=low

  * debian/patches/pulse_update.patch: Added some further fixes from Lennart's
    alsa-plugins tree.

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 25 Sep 2008 12:21:51 +1000

alsa-plugins (1.0.17-0ubuntu2) intrepid; urgency=low

  * debian/patches/pulse_update.patch: Latest pulseaudio plugin taken from
    alsa-plugins GIT. This code update massively improves the plugin's
    behavior, particularly with some applications that may work with alsa
    in an unusual way.

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 22 Sep 2008 10:30:50 +1000

alsa-plugins (1.0.17-0ubuntu1) intrepid; urgency=low

  * New upstream release.
  * debian/control: Update libasound2 build dep.

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 28 Aug 2008 10:17:38 +1000

alsa-plugins (1.0.16-1ubuntu2) intrepid; urgency=low

  * debian/patches/pulse-remove-useless-asserts.diff: Remove an extra
    assert from pulseaudio plugin.

 -- Luke Yelavich <luke.yelavich@canonical.com>  Thu, 08 May 2008 23:31:48 +1000

alsa-plugins (1.0.16-1ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/control:
      - Do not build-depend on libjack-dev and libavcodec-dev.
      - add lpia to supported arches;
      - adhere to DebianMaintainerField spec.

 -- Luke Yelavich <luke.yelavich@canonical.com>  Thu, 08 May 2008 23:09:21 +1000

alsa-plugins (1.0.16-1) unstable; urgency=low

  * New upstream release

  [Jordi Mallach]
  * Switch to now official Vcs-* control fields.
  * Apply some important Pulse fixes, provided by lool, neurocyte and sjoerd.

  [ Elimar Riesebieter ]
  * Switched to debhelper 6.
  * Bumped Standard-Version to 3.7.3; no changes needed.
  * Fullified copyright not in copyright file.
  * Removed pulse patches. Applied upstream.

 -- Jordi Mallach <jordi@debian.org>  Tue, 26 Feb 2008 17:42:37 +0100

alsa-plugins (1.0.15-1ubuntu3) hardy; urgency=low

  * Backport remaining pcm_pulse.c patches from hg tip (LP: #112948)
    that allow Ekiga to work again with PulseAudio
    - debian/patches/pulse-{minmax,assert}.diff

 -- Daniel T Chen <crimsun@ubuntu.com>  Fri, 29 Feb 2008 12:28:40 -0500

alsa-plugins (1.0.15-1ubuntu2) hardy; urgency=low

  * libavcodec cannot be shipped on CDs, disabled the dependency again to make
    CDs installable

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 29 Nov 2007 14:59:58 +0100

alsa-plugins (1.0.15-1ubuntu1) hardy; urgency=low

  * Merge from Debian unstable.
  * Apply Ubuntu-specific change:
    - debian/control:
      + drop libjack-dev build-dependency since we don't build the
        jack plugin [yet];
      + add lpia to supported arches;
      + adhere to DebianMaintainerField spec.
  * Drop unnecessary Ubuntu-specific change:
    - debian/control: drop libavcodec-dev build-dependency to save
      space [this Ubuntu delta didn't save significant space and
      removed a feature].

 -- Daniel T Chen <crimsun@ubuntu.com>  Sat, 17 Nov 2007 18:00:56 -0500

alsa-plugins (1.0.15-1) unstable; urgency=low

  * New upstream release.

  [ Elimar Riesebieter ]
  * Added Homepage header in debian/control.
  * debian/rules: s/-$(MAKE) distclean/[ ! -f Makefile ] || $(MAKE) distclean/

  [ Jordi Mallach ]
  * Add patches pulse-buffer_attr.diff and pulse-state_xrun.diff, taken from
    Fedora, to fix various issues with the Pulse plugin. Thanks Sjoerd Simons
    for the pointer.

 -- Jordi Mallach <jordi@debian.org>  Tue, 30 Oct 2007 17:10:08 +0100

alsa-plugins (1.0.14-1ubuntu3) gutsy; urgency=low

  * Build packages for lpia as well.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 15 Aug 2007 23:49:36 +1000

alsa-plugins (1.0.14-1ubuntu2) gutsy; urgency=low

  * debian/control:
    - Don't build-depend on libavcodec-dev (saves space for cd image),
      thus disabling the a52 alsa-lib plugin,
    - Amend Description to note the above change.

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 25 Jun 2007 04:56:35 -0400

alsa-plugins (1.0.14-1ubuntu1) gutsy; urgency=low

  * Merge from Debian unstable, remaining changes:
    - debian/control:
      + Don't build-depend on JACK, as it's in universe.  Clarify and
        update the Description to note the above restriction and
        {in,ex}clusion of newer plugins (LP: #57089),
      + Adhere to DebianMaintainerField.

 -- Daniel T Chen <crimsun@ubuntu.com>  Tue, 12 Jun 2007 19:03:08 -0400

alsa-plugins (1.0.14-1) unstable; urgency=low

  * New upstream release.

  [ Elimar Riesebieter ]
  * Prepared to use quilt as the patch manager.

  [ Jordi Mallach ]
  * debian/control: build-depend on libavcodec-dev, to enable the a52
    plugin (closes: #407428).

 -- Jordi Mallach <jordi@debian.org>  Sat, 09 Jun 2007 21:41:47 +0200

alsa-plugins (1.0.14~rc4-1) experimental; urgency=low

  * New upstream release candidate.

  [ Elimar Riesebieter ]
  * Changed Build-Depends from libjack0.100-dev to libjack-dev as the headers
    are really in libjack-dev.
  * Removed 01_hgnew.patch: Done upstream.

  [ Jordi Mallach ]
  * debian/control: add XS-Vcs-Svn and XS-Vcs-Browser headers.

 -- Jordi Mallach <jordi@debian.org>  Sun, 13 May 2007 11:44:15 +0200

alsa-plugins (1.0.14~rc3-2) experimental; urgency=low

  [ Elimar Riesebieter ]
  * Updated to latest mercurial version via 01_hgnew.dpatch as some files were
    missing. It is still 1.0.14rc3. Removed the stolen gcd.h ;)

 -- Jordi Mallach <jordi@debian.org>  Tue, 17 Apr 2007 11:30:22 +0200

alsa-plugins (1.0.14~rc3-1) experimental; urgency=low

  * New upstream release candidate.

  [ Elimar Riesebieter ]
  * Added missing gcd.h. Stolen from gnulibs which installs the libs not in
    include.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sat, 31 Mar 2007 18:40:48 +0200

alsa-plugins (1.0.14~rc1a-1) experimental; urgency=low

  * New upstream release candidate.

  [ Elimar Riesebieter ]
  * Added arch armel to libasound2-plugins. (closes: #408771)

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sat, 30 Dec 2006 02:48:26 +0100

alsa-plugins (1.0.13-3ubuntu1) feisty; urgency=low

  * disable jack dependencies for main inclusion

 -- Oliver Grawert <ogra@ubuntu.com>  Fri,  2 Feb 2007 15:30:22 +0100

alsa-plugins (1.0.13-3) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Added XS-X-Vcs-Svn field in control.

  [ Jordi Mallach ]
  * Upload to unstable.

 -- Jordi Mallach <jordi@debian.org>  Mon, 16 Oct 2006 14:49:06 +0200

alsa-plugins (1.0.13-2) experimental; urgency=low

  * debian/control:
    - build-depend on libsamplerate0-dev, to enable the samplerate plugin.
    - build-depend on libpulse-dev, to enable the pulseaudio plugin.
  * Target experimental, while pulseaudio gets shaked out by the buildds.

 -- Jordi Mallach <jordi@debian.org>  Thu,  5 Oct 2006 11:19:06 +0200

alsa-plugins (1.0.13-1) unstable; urgency=low

  * New upstream release

  [ Jordi Mallach ]
  * Add Enhances: libasound2.

 -- Jordi Mallach <jordi@debian.org>  Tue,  3 Oct 2006 14:22:54 +0200

alsa-plugins (1.0.12-1) unstable; urgency=low

  * New upstream release

  [ Elimar Riesebieter ]
  * debian/control: bumped build-deps to libasound2-dev (>= 1.0.12)
  * debian/control: bumped Standards-Version to 3.7.2, no changes.
  * Bumped compat to 5 and debhelper version >=5.0.37
  * Enabled all plugins (closes: #384029)
  * Completed /usr/share/doc/libasound2-plugins.

 -- Jordi Mallach <jordi@debian.org>  Mon, 11 Sep 2006 13:10:10 +0200

alsa-plugins (1.0.11-1) unstable; urgency=low

  [ Elimar Riesebieter ]
  * New upstream release
  * Added myself to Uploaders
  * Updated changelog.ALSA
  * Adjusted rules:
    sed s/pcm\/jack/jack/

  [ Jordi Mallach ]
  * debian/control: bump build-deps to libasound2-dev (>= 1.0.11).

 -- Jordi Mallach <jordi@debian.org>  Sun, 23 Apr 2006 18:07:36 +0200

alsa-plugins (1.0.10-1) unstable; urgency=low

  * New upstream release

 -- Jordi Mallach <jordi@debian.org>  Tue, 22 Nov 2005 23:24:32 +0100

alsa-plugins (1.0.9+1.0.10rc2-1) experimental; urgency=low

  * New upstream release candidate
  * Thomas Hood
    - debian/control: s/Architecture: any/Architecture: <Linux arches>/

 -- Thomas Hood <jdthood@yahoo.co.uk>  Wed, 12 Oct 2005 12:10:54 +0200

alsa-plugins (1.0.9+1.0.10rc1-1) experimental; urgency=low

  * New upstream release candidate
  * Thomas Hood
    - Build-Depend on new libasound2-dev (otherwise build fails)
    - Fix watch file

 -- Jordi Mallach <jordi@debian.org>  Mon, 19 Sep 2005 21:35:27 +0200

alsa-plugins (1.0.9-2) unstable; urgency=low

  * Thomas Hood
    - Simplify versioned dependency on libasound2
    - Bump Standards-Version to 3.6.2.1; no changes required
    - Add upstream changelog
  * Jordi Mallach
    - debian/control: switch to libjack0.100.0-dev.

 -- Jordi Mallach <jordi@debian.org>  Wed,  6 Jul 2005 20:35:02 +0200

alsa-plugins (1.0.9-1) unstable; urgency=low

  * New source package generating the libasound2-plugins binary package,
    formerly generated by alsa-lib.  libasound2-plugins contains the "jack"
    ALSA library plugin.
  * An "oss" ALSA library plugin is also available.  Please file a wish
    if you have some use for it.
  * Thomas Hood
    - Include asound.conf example of how to use the jack plugin

 -- Jordi Mallach <jordi@debian.org>  Sat,  4 Jun 2005 13:00:00 +0200

